﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Shore.cnblogs.com.WCFData;

namespace Shore.cnblogs.com.WCFClient
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                EmployeeServiceProxy proxy = new EmployeeServiceProxy("netEmployeeService");
                proxy.OnWayMethod();

                string hello = proxy.RequestResponseMethod("shore");

                DuplexCallbackServcie callback = new DuplexCallbackServcie();
                DuplexServiceProxy duplexProxy = new DuplexServiceProxy(new System.ServiceModel.InstanceContext(callback));
                duplexProxy.DuplexMethod();

            }
            catch (System.ServiceModel.FaultException<EmployeeNotFind> fe)
            {
                EmployeeNotFind notfind = fe.Detail;
                Console.WriteLine("exception type={0},exception description={1}", notfind.GetType().ToString(), notfind.Message);
            }
            catch (Exception ex)
            {
                Console.WriteLine("exception type={0},exception description={1}", ex.GetType().ToString(), ex.Message);
            }
            Console.WriteLine("press enter to exit");
            Console.Read();
        }
    }
}
