﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using System.ServiceModel.Channels;
using System.ServiceModel.Description;
using Shore.cnblogs.com.WCFInterface;
using Shore.cnblogs.com.WCFData;

namespace Shore.cnblogs.com.WCFClient
{
    class DuplexServiceProxy : ClientBase<IDuplexService>, IDuplexService 
    {
        public DuplexServiceProxy() : base()
        {
        }

        public DuplexServiceProxy(string endpointConfigName)
            : base(endpointConfigName)
        {
        }

        public DuplexServiceProxy(Binding binding, EndpointAddress address)
            : base(binding, address)
        {
        }

        public DuplexServiceProxy(InstanceContext callbackInstance)
            : base(callbackInstance)
        {
        }

        #region IDuplexService Members

        public void DuplexMethod()
        {
            this.Channel.DuplexMethod();
        }

        #endregion
    }
}
