﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using System.ServiceModel.Channels;
using System.ServiceModel.Description;
using Shore.cnblogs.com.WCFInterface;
using Shore.cnblogs.com.WCFData;

namespace Shore.cnblogs.com.WCFClient
{
    public class EmployeeServiceProxy : ClientBase<IEmployeeService>,IEmployeeService
    {
        public EmployeeServiceProxy() : base()
        {
        }

        public EmployeeServiceProxy(string endpointConfigName)
            : base(endpointConfigName)
        {
        }

        public EmployeeServiceProxy(Binding binding, EndpointAddress address)
            : base(binding, address)
        {
        }


        #region IEmployeeService Members


        public void OnWayMethod()
        {
            Channel.OnWayMethod();
        }

        public string RequestResponseMethod(string name)
        {
            return Channel.RequestResponseMethod(name);
        }

        #endregion


    }
}
